Bug 218462 - devel/kf5-extra-cmake-modules fails to build
Summary: devel/kf5-extra-cmake-modules fails to build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-07 14:44 UTC by Marko Cupać
Modified: 2017-04-17 06:47 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
Add qt5-help as a buildtime dependency for the HELP option. (444 bytes, patch)
2017-04-08 14:52 UTC, Tobias C. Berner
no flags Details | Diff
DOCS does not require USE_QT5=help (528 bytes, patch)
2017-04-08 15:01 UTC, Tobias C. Berner
rakuco: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marko Cupać 2017-04-07 14:44:00 UTC
Hi,

I can't build latest devel/kf5-extra-cmake-modules in poudriere, it errors out:

===>  Building for kf5-extra-cmake-modules-5.32.0_1
/usr/local/bin/cmake -H/wrkdirs/usr/ports/devel/kf5-extra-cmake-modules/work/extra-cmake-modules-5.32.0 -B/wrkdirs/usr/ports/devel/kf5-extra-cmake-modules/work/.build --check-build-system CMakeFiles/Makefile.cmake 0
/usr/local/bin/cmake -E cmake_progress_start /wrkdirs/usr/ports/devel/kf5-extra-cmake-modules/work/.build/CMakeFiles /wrkdirs/usr/ports/devel/kf5-extra-cmake-modules/work/.build/CMakeFiles/progress.marks
/usr/bin/make -f CMakeFiles/Makefile2 all
/usr/bin/make -f docs/CMakeFiles/documentation.dir/build.make docs/CMakeFiles/documentation.dir/depend
cd /wrkdirs/usr/ports/devel/kf5-extra-cmake-modules/work/.build && /usr/local/bin/cmake -E cmake_depends "Unix Makefiles" /wrkdirs/usr/ports/devel/kf5-extra-cmake-modules/work/extra-cmake-modules-5.32.0 /wrkdirs/usr/ports/devel/kf5-extra-cmake-modules/work/extra-cmake-modules-5.32.0/docs /wrkdirs/usr/ports/devel/kf5-extra-cmake-modules/work/.build /wrkdirs/usr/ports/devel/kf5-extra-cmake-modules/work/.build/docs /wrkdirs/usr/ports/devel/kf5-extra-cmake-modules/work/.build/docs/CMakeFiles/documentation.dir/DependInfo.cmake
Scanning dependencies of target documentation
/usr/bin/make -f docs/CMakeFiles/documentation.dir/build.make docs/CMakeFiles/documentation.dir/build
[ 50%] sphinx-build man: see /wrkdirs/usr/ports/devel/kf5-extra-cmake-modules/work/.build/docs/build-man.log
cd /wrkdirs/usr/ports/devel/kf5-extra-cmake-modules/work/.build/docs && /usr/local/bin/sphinx-build -c /wrkdirs/usr/ports/devel/kf5-extra-cmake-modules/work/.build/docs -d /wrkdirs/usr/ports/devel/kf5-extra-cmake-modules/work/.build/docs/doctrees -b man /wrkdirs/usr/ports/devel/kf5-extra-cmake-modules/work/extra-cmake-modules-5.32.0/docs /wrkdirs/usr/ports/devel/kf5-extra-cmake-modules/work/.build/docs/man > build-man.log
[100%] sphinx-build qthelp: see /wrkdirs/usr/ports/devel/kf5-extra-cmake-modules/work/.build/docs/build-qthelp.log
cd /wrkdirs/usr/ports/devel/kf5-extra-cmake-modules/work/.build/docs && /usr/local/bin/sphinx-build -c /wrkdirs/usr/ports/devel/kf5-extra-cmake-modules/work/.build/docs -d /wrkdirs/usr/ports/devel/kf5-extra-cmake-modules/work/.build/docs/doctrees -b qthelp /wrkdirs/usr/ports/devel/kf5-extra-cmake-modules/work/extra-cmake-modules-5.32.0/docs /wrkdirs/usr/ports/devel/kf5-extra-cmake-modules/work/.build/docs/qthelp > build-qthelp.log
cd /wrkdirs/usr/ports/devel/kf5-extra-cmake-modules/work/.build/docs && /usr/local/bin/qcollectiongenerator /wrkdirs/usr/ports/devel/kf5-extra-cmake-modules/work/.build/docs/qthelp/ExtraCMakeModules.qhcp
qcollectiongenerator: could not exec '/usr/local/lib/qt5/bin/qcollectiongenerator': No such file or directory
*** Error code 1

I'd be glad to help with testing patches, if needed.
Comment 1 Tobias C. Berner freebsd_committer 2017-04-07 20:13:56 UTC
Hi

Could you tell me which options you have selected for the port?
> make showconfig
Comment 2 rhs 2017-04-08 11:30:21 UTC
I have same failure using 'synth' to build with. This is /usr/local/etc/LiveSystem-make.conf

OPTIONS_UNSET           =	DOCS PULSEAUDIO NLS
OPTIONS_SET             =	CUPS NOLINUX GSSAPI_NONE
DISTDIR			=	/usr/distdir
CUPS_OVERWRITE_BASE	=	YES
DEFAULT_VERSIONS	+=	mysql=5.6 ssl=openssl
MAKE_JOBS_UNSAFE	=	yes

The failure I'm getting is verbatim as OP's. It looks like 'qtchooser' or something with the way QT5 ports are building. I noticed this over two weeks ago but decided to wait a while for a patch to come along.

# freebsd-version -ku
11.0-RELEASE-p8
11.0-RELEASE-p8

There is a 'qcollectiongenerator' under the exact same path in the qt4 ports. If I copy that one and create a qt5 path, well you guessed it, same failure.
Comment 3 rhs 2017-04-08 11:33:43 UTC
I have same failure using 'synth' to build with. This is /usr/local/etc/LiveSystem-make.conf

OPTIONS_UNSET           =	DOCS PULSEAUDIO NLS
OPTIONS_SET             =	CUPS NOLINUX GSSAPI_NONE
DISTDIR			=	/usr/distdir
CUPS_OVERWRITE_BASE	=	YES
DEFAULT_VERSIONS	+=	mysql=5.6 ssl=openssl
MAKE_JOBS_UNSAFE	=	yes

The failure I'm getting is verbatim as OP's. It looks like 'qtchooser' or something with the way QT5 ports are building. I noticed this over two weeks ago but decided to wait a while for a patch to come along.

# freebsd-version -ku
11.0-RELEASE-p8
11.0-RELEASE-p8

There is a 'qcollectiongenerator' under the exact same path in the qt4 ports. If I copy that one and create a qt5 path, well you guessed it, same failure.
Comment 4 Tobias C. Berner freebsd_committer 2017-04-08 14:52:42 UTC
Created attachment 181593 [details]
Add qt5-help as a buildtime dependency for the HELP option.

Can you please try the attached patch?

qcollectiongenerator is part of devel/qt5-help
Comment 5 Tobias C. Berner freebsd_committer 2017-04-08 15:01:52 UTC
Created attachment 181599 [details]
DOCS does not require USE_QT5=help

I think there was a mixup between DOCS and HELP option.
Comment 6 Raphael Kubo da Costa freebsd_committer 2017-04-08 17:21:26 UTC
Comment on attachment 181599 [details]
DOCS does not require USE_QT5=help

lgtm
You also need to bump PORTREVISION.
Comment 7 rhs 2017-04-08 17:25:09 UTC
00:05:02 [02] success  devel/kf5-extra-cmake-modules                 00:01:26 

It will take me about 8hrs to build the rest. I'll post back after the install, if their is a problem only, otherwise, you can assume the install is clean as well.
Thanks
Comment 8 commit-hook freebsd_committer 2017-04-09 07:53:32 UTC
A commit references this bug:

Author: tcberner
Date: Sun Apr  9 07:52:25 UTC 2017
New revision: 438076
URL: https://svnweb.freebsd.org/changeset/ports/438076

Log:
  devel/kf5-extra-cmake-modules: Fix HELP option

  There was a mixup between DOCS and HELP option.

  PR:		218462
  Approved by:	rakuco (mentor)

Changes:
  head/devel/kf5-extra-cmake-modules/Makefile